Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.annotations
Enum FlushModeType

    java.lang.Object
      java.lang.Enum<FlushModeType>
          org.hibernate.annotations.FlushModeType

All Implemented Interfaces:
  Serializable, Comparable<FlushModeType>

    public enum FlushModeType

extends Enum<FlushModeType>

Enumeration extending javax.persistence flush modes.

Author:
  Carlos González-Cadenas

Enum Constant Summary
`ALWAYS` see `org.hibernate.FlushMode.ALWAYS`
`AUTO` see `org.hibernate.FlushMode.AUTO`
`COMMIT` see `org.hibernate.FlushMode.COMMIT`
`NEVER` see `org.hibernate.FlushMode.NEVER`

Method Summary
`static FlushModeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FlushModeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ALWAYS

    public static final FlushModeType ALWAYS

  see `org.hibernate.FlushMode.ALWAYS`

### AUTO

    public static final FlushModeType AUTO

  see `org.hibernate.FlushMode.AUTO`

### COMMIT

    public static final FlushModeType COMMIT

  see `org.hibernate.FlushMode.COMMIT`

### NEVER

    public static final FlushModeType NEVER

  see `org.hibernate.FlushMode.NEVER`

Method Detail

### values

    public static final FlushModeType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(FlushModeType c : FlushModeType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static FlushModeType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD